﻿using DotNetNuke.Entities.Portals;
using Microsoft.QualityTools.Testing.Fakes;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Module;

namespace UnitTest
{
    [TestClass]
    public class MyTestClass
    {
        [TestMethod]
        public void TestGetCurrentPortalName()
        {
            using (ShimsContext.Create())
            {
                // Create shims to fake PortalSettings.Current
                DotNetNuke.Entities.Portals.Fakes.ShimPortalSettings.CurrentGet = () =>
                    new PortalSettings { PortalName = "My Portal Name" };

                // Test module functionality
                var portalName = MyModuleClass.GetCurrentPortalName();
                Assert.IsFalse(string.IsNullOrWhiteSpace(portalName));
            }
        }
    }
}
